Bug 807624 - (CVE-2012-1594) CVE-2012-1594 wireshark: Infinite loop in the IEEE 802.11 dissector
CVE-2012-1594 wireshark: Infinite loop in the IEEE 802.11 dissector
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120208,reported=2...
: Security
Depends On: 808973
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 07:06 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-22 16:48:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-28 07:06:30 EDT
A denial of service flaw was found in the way IEEE 802.11 dissector of Wireshark, a network traffic analyzer, processed certain capture files (16-bit integers were used as counters during loading of capture files for certain protocols). A remote attacker could provide a specially-crafted packet capture file, which once opened by a local unsuspecting user would lead to situation, where wireshark executable would never finish loading of such capture file (infinite loop).

Upstream bug report:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6809

Relevant upstream patch:
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=40967

CVE Request:
[3] http://www.openwall.com/lists/oss-security/2012/03/28/7

Reproducer:
[4] http://dl.dropbox.com/u/20367565/oldg_internalantenna.pcap
Comment 1 Jan Lieskovsky 2012-03-28 07:08:18 EDT
This issue did NOT affect the versions of the wireshark package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue did NOT affect the version of the wireshark package, as shipped with Fedora release of 15.

--

This issue affects the version of the wireshark package, as shipped with Fedora release of 16.
Comment 2 Kurt Seifried 2012-03-28 11:09:16 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/03/28/13
Comment 3 Huzaifa S. Sidhpurwala 2012-03-30 03:52:03 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped
with Red Hat Enterprise Linux 5 and 6.
Comment 4 Huzaifa S. Sidhpurwala 2012-04-02 00:25:43 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-16 [bug 808973]
Comment 5 Fedora Update System 2012-04-19 01:22:56 EDT
wireshark-1.6.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.